> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a donation



## OpenAPI

````yaml put /admin/donation/{donation_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donation/{donation_id}:
    put:
      tags:
        - Donations
      summary: Edit a donation
      operationId: d330290017d096a06ab013e77ad2bf00
      parameters:
        - name: donation_id
          in: path
          description: ID of the donation to be edited
          required: true
          schema:
            type: integer
      requestBody:
        description: Donation data to be edited
        required: true
        content:
          application/json:
            schema:
              properties:
                amount:
                  type: string
                  example: '20'
                client_id:
                  type: integer
                  example: 1
                created_at:
                  type: string
                  example: '2022-01-01 00:00:00'
                designation:
                  type: integer
                  example: 1
                donation_id:
                  type: integer
                  example: 1
                donor_id:
                  type: integer
                  example: 1
                id:
                  type: integer
                  example: 1
                method:
                  type: integer
                  example: 1
                one_time:
                  type: integer
                  example: 1
                result:
                  type: string
                  example: <p>Result note</p>
                type:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Donation successfully edited.
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfull
                type: object
        '404':
          description: Donation not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Donation not found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````